# Uses of Class
org.apache.lucene.search.DocAndFloatFeatureBuffer

Packages that use DocAndFloatFeatureBuffer
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of DocAndFloatFeatureBuffer in org.apache.lucene.index

  Methods in org.apache.lucene.index with parameters of type DocAndFloatFeatureBuffer
  Modifier and Type
  Method
  Description
  `void`
  PostingsEnum.`nextPostings(int upTo, DocAndFloatFeatureBuffer buffer)`
  Fill a buffer of doc IDs and frequencies with some number of doc IDs and their corresponding frequencies, starting at the current doc ID, and ending before `upTo`.

- ## Uses of DocAndFloatFeatureBuffer in org.apache.lucene.search

  Methods in org.apache.lucene.search with parameters of type DocAndFloatFeatureBuffer
  Modifier and Type
  Method
  Description
  `void`
  DocAndScoreAccBuffer.`copyFrom(DocAndFloatFeatureBuffer buffer)`
  Copy content from the given `DocAndFloatFeatureBuffer`, expanding float scores to doubles.
  `void`
  ConstantScoreScorer.`nextDocsAndScores(int upTo, Bits liveDocs, DocAndFloatFeatureBuffer buffer)`
  `void`
  Scorer.`nextDocsAndScores(int upTo, Bits liveDocs, DocAndFloatFeatureBuffer buffer)`
  Return a new batch of doc IDs and scores, starting at the current doc ID, and ending before `upTo`.
  `void`
  TermScorer.`nextDocsAndScores(int upTo, Bits liveDocs, DocAndFloatFeatureBuffer buffer)`